Get allocators
- GET /platform/infrastructure/allocators
Retrieves the information for all of the allocators in the platform.
Query Parameters
-
qstring (Optional) The query that filters the allocators. Maps to an Elasticsearch
query_stringquery.-
sizeinteger · default: 100 (Optional) The maximum number of search results to return. Defaults to 100.
-
frominteger · default: 0 (Optional) The offset from the first result you want to fetch. Defaults to 0.
-
sortstring (Optional) A comma-separated array of fields to sort the search results by. Defaults to
allocator_id.
Response
An overview of all allocators
-
zonesAllocatorZoneInforequired -
zone_idstringrequired -
Identifier of the zone
-
allocatorsAllocatorInforequired -
statusAllocatorHealthStatusrequired -
The health status of the allocator.
-
connectedbooleanrequired -
Whether the allocator is connected
-
healthybooleanrequired -
Whether the allocator is healthy, meaning it is either connected or has no instances
-
health_checksAllocatorHealthChecks -
The checks performed to determine if an allocator is healthy or not.
-
is_docker_healthybooleanrequired -
Check performed by the allocator to figure out if docker is healthy
-
is_connected_to_zkbooleanrequired -
Whether the allocator is connected to zk or not
-
has_instancesbooleanrequired -
Whether the allocator has allocated instances
-
maintenance_modebooleanrequired -
Whether the allocator is in maintenance mode (meaning that new workload won't be assigned to it)
-
maintenance_mode_timestampstring -
Timestamp when allocator last entered or exited maintenance mode
-
allocator_idstringrequired -
Identifier for this allocator
-
zone_idstringrequired -
Identifier of the zone
-
host_ipstringrequired -
Host IP of this allocator
-
public_hostnamestringrequired -
Public hostname of this allocator
-
capacityAllocatorCapacityrequired -
The total and used capacity of the allocator.
-
memoryAllocatorCapacityMemoryrequired -
The available and used memory of the allocator.
-
storageAllocatorCapacityStoragerequired -
The storage capacity of the allocator.
-
totalintegerrequired -
Total storage in MiB capacity installed on this allocator
-
available_cpusinteger -
Total number of CPUs available on this allocator
-
additional_master_bonusnumber -
Additional bonus CPU shares available to Elasticsearch master instances
-
settingsAllocatorSettingsrequired -
The settings for the allocator.
-
capacityinteger -
A memory capacity (in MB) that overrides the capacity defined during installation - requires separate restart of Allocator services on each host to take full effect.
-
instancesAllocatedInstanceStatusrequired -
cluster_typerequired -
Type of instance that is running
-
Values:
elasticsearchkibanaapmintegrations_serverappsearchenterprise_search -
cluster_idstringrequired -
Identifier for the cluster this instance belongs
-
cluster_namestring -
Name of cluster this instance belongs, if available
-
instance_namestringrequired -
Instance ID of the instance
-
node_memoryintegerrequired -
Memory assigned to this instance
-
healthyboolean -
Indicates whether the instance is healthy
-
cluster_healthyboolean -
Indicates whether the cluster the instance belongs to is healthy
-
instance_configuration_idstring -
The instance configuration id of this instance
-
movingboolean -
Indicates whether the instance is vacating away from this allocator. Note that this is currently not populated when returned from the search endpoint.
-
plans_infoAllocatedInstancePlansInfo -
The plan information for the Elasticsearch cluster associated with the Kibana instance or APM Server.
-
pendingbooleanrequired -
Whether or not there is a pending plan.
-
versionstring -
The version of the current plan, falling back to that of the pending plan if it exists.
-
zone_countinteger -
The number of zones in the current plan, falling back to that of the pending plan if it exists.
-
deployment_idstring -
The id of the deployment this cluster belongs to.
-
metadataMetadataItemrequired -
Arbitrary metadata associated with this allocator
-
build_infoAllocatorBuildInfo -
Information about the build that is running on the allocator.
-
commit_hashstring -
Git commit hash
-
versionstring -
Version of the artifact
-
featuresstringrequired -
List of features associated with this allocator. Note this is only present for backwards compatibility purposes and is scheduled for removal in the next major version release.
-
external_linksExternalHyperlink · uniquerequired -
External resources related to this allocator.
-
regionstring -
The region that this allocator belongs to. Only populated in SaaS or federated ECE.